Package: org.codehaus.groovy.grails.cli.jndi

## [Java] Class JndiBindingSupport

- org.codehaus.groovy.grails.cli.jndi.JndiBindingSupport

- Aids in binding a mock JNDI context from Grails' JNDI configuration format

  Authors:
    Graeme Rocher
  Since:
    1.2.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JndiBindingSupport (java.util.Map<java.lang.String, java.lang.Object> jndiConfig)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static void` | `registerJndiBindingHandler(JndiBindingHandler handler)` Used to register a new JNDI binding handler

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public JndiBindingSupport(java.util.Map<java.lang.String, java.lang.Object> jndiConfig)

  - ### Method Detail

    - #### public static void registerJndiBindingHandler(JndiBindingHandler handler)

      Used to register a new JNDI binding handler

      Parameters:
        `handler` - The binding handler